Description: Makefile disable optimization on CFLAGS

Forwarded: not yet
Last-Update: 2021-12-20
---
--- a/Makefile
+++ b/Makefile
@@ -12,7 +12,7 @@
 AS=as -32
 CC=gcc
 
-CFLAGS= -Wall -Werror -march=i486 -m32 -O1 -fomit-frame-pointer -fno-builtin \
+CFLAGS= -Wall -Werror -march=i486 -m32 -O0 -fomit-frame-pointer -fno-builtin \
  -ffreestanding -fPIC $(SMP_FL) -fno-stack-protector
 
 # This reverts a change introduced with recent binutils (post
